Market insights
curl --request GET \
--url https://api.routeur.app/v1/insights \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/insights"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/insights"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"spreads": [
{
"left": {
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
},
"right": {
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
},
"spread_usd": "0.4100"
}
],
"movers": [
{
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
}
],
"most_traded": [
{
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
}
]
},
"graph_run": 2
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Signals
Market insights
What stands out right now, refreshed every few minutes: proven-equivalent markets priced furthest apart across venues, the biggest 24-hour price moves among markets with at least $1,000 traded, and the most traded markets.
GET
/
v1
/
insights
Market insights
curl --request GET \
--url https://api.routeur.app/v1/insights \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/insights"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/insights"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"spreads": [
{
"left": {
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
},
"right": {
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
},
"spread_usd": "0.4100"
}
],
"movers": [
{
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
}
],
"most_traded": [
{
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
}
]
},
"graph_run": 2
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}